<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
// Al entrar a http://localhost:8081/ cargará directamente el Home o tu index.html si PHP está configurado por defecto
$routes->get('/', 'Home::index');

// --- GRUPO DE LA API (Mismo origen, puerto 8081) ---
$routes->group('api', function ($routes) {
    // Rutas del Módulo de Usuarios
    $routes->post('usuarios/registro', 'Usuarios::registro');
    $routes->post('usuarios/login',    'Usuarios::login');
    $routes->get('usuarios',           'Usuarios::index');
    $routes->get('usuarios/(:num)',    'Usuarios::show/$1');
    $routes->put('usuarios/(:num)',    'Usuarios::update/$1');
    $routes->delete('usuarios/(:num)', 'Usuarios::delete/$1');

    

    // -- PRÓXIMOS MÓDULOS DE CONTRATANDOGT --
    // $routes->resource('postulantes');    
    // $routes->resource('empresas');
    // $routes->resource('empleos');
    // $routes->resource('postulaciones');
});

//rutas paginas estaticas solo de información
//$routes->get('empleo', 'Pages::view/empleo');
$routes->get('empresa', 'Pages::view/empresa');
$routes->get('recursos', 'Pages::view/recursos');

//rutas de registro
$routes->get('registro',          'Auth::registro');
$routes->post('registro',         'Auth::registroGuardar');
$routes->get('registro-empresa',  'Auth::registroEmpresa');
$routes->post('registro-empresa', 'Auth::registroEmpresaGuardar');
$routes->get('login',             'Auth::login');
$routes->post('login',            'Auth::loginEntrar');
$routes->get('logout',            'Auth::logout');

$routes->get('perfil', 'Perfil::index');
$routes->get('crear-admin', 'Auth::crearAdmin');//temporal
$routes->post('perfil/subirCV', 'Perfil::subirCV');

$routes->get('admin/usuarios',                  'Admin::usuarios');
$routes->get('admin/usuarios/eliminar/(:num)',   'Admin::eliminarUsuario/$1');
$routes->get('admin/usuarios/ver/(:num)', 'Admin::verUsuario/$1');

$routes->post('perfil/actualizar',            'Perfil::actualizar');
$routes->post('perfil/actualizarHabilidades', 'Perfil::actualizarHabilidades');

$routes->get('nosotros',   'Pages::view/nosotros');
$routes->get('contacto',   'Pages::view/contacto');
$routes->get('terminos',   'Pages::view/terminos');
$routes->get('blog-cv',    'Pages::view/blog-cv');
$routes->get('blog-entrevista',    'Pages::view/blog-entrevista ');
$routes->get('blog-habilidades', 'Pages::view/blog-habilidades');
//$routes->get('empleos',    'Pages::view/empleos');
$routes->get('redes',      'Pages::view/redes');

// Empleos
$routes->get('empleo',           'Empleos::index');
$routes->get('empleos/crear',    'Empleos::crear');
$routes->post('empleos/guardar', 'Empleos::guardar');
$routes->get('empleos/eliminar/(:num)', 'Empleos::eliminar/$1');